---
jupytext:
  cell_metadata_filter: -all
  formats: md:myst
  text_representation:
    extension: .md
    format_name: myst
    format_version: 0.13
    jupytext_version: 1.11.5
kernelspec:
  display_name: Python 3
  language: python
  name: python3
---

# Red de Monitoreo RACIMO-Móncora


:::{admonition} Sabias que:
:class: tip

Nuestra red de monitoreo ambietal esta operativa desde marzo del 2023, y esta formada por nueve estaciones MiniEva ubicadas en:

```{image} ../images/leaf.png
:width: 140px
:align: left
```


{fas}`cloud-sun` Instituto Técnico Damaso Zapata {octicon}`arrow-right` <span class="badge bg-primary-line">[mE1_00004](https://makesens.aws.thinger.io/dashboards/DmE1_00004?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfRG1FMV8wMDAwNCIsInN2ciI6Im1ha2VzZW5zLmF3cy50aGluZ2VyLmlvIiwidXNyIjoiTWFrZVNlbnMifQ.ymDNV3g-sdbJmhR4vH1CGUioHffuoKbKvQl-LSQCXvg)</span></br>
{fas}`cloud-sun` Colegio Santander {octicon}`arrow-right` <span class="badge bg-primary-line">[mE1_00005](https://makesens.aws.thinger.io/dashboards/DmE1_00005?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfRG1FMV8wMDAwNSIsInN2ciI6Im1ha2VzZW5zLmF3cy50aGluZ2VyLmlvIiwidXNyIjoiTWFrZVNlbnMifQ.WgtClgP74Ekd9GVfudn98ZHhqRAtf-Jg0Awqt7j462M)</span></br>
{fas}`cloud-sun` Escuela Normal Superior {octicon}`arrow-right` <span class="badge bg-primary-line">[mE1_00007](https://makesens.aws.thinger.io/dashboards/DmE1_00007?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfRG1FMV8wMDAwNyIsInN2ciI6Im1ha2VzZW5zLmF3cy50aGluZ2VyLmlvIiwidXNyIjoiTWFrZVNlbnMifQ.QceecXo99nh5Of5eId9uJt0Lzqi4M7Nt56rbbZssWF4)</span></br>
{fas}`cloud-sun` Institución Educativa Nuestra Señora del Pilar {octicon}`arrow-right` <span class="badge bg-primary-line">[mE1_00006](https://makesens.aws.thinger.io/dashboards/DmE1_00006?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfRG1FMV8wMDAwNiIsInN2ciI6Im1ha2VzZW5zLmF3cy50aGluZ2VyLmlvIiwidXNyIjoiTWFrZVNlbnMifQ.nS8ATWPmbVso2C-9lHXkevKXTAg5Dp84X1igRO_pgsA)</span></br>
{fas}`cloud-sun` Colegio Fundeuis {octicon}`arrow-right` <span class="badge bg-primary-line">[mE1_00008](https://makesens.aws.thinger.io/dashboards/DmE1_00008?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfRG1FMV8wMDAwOCIsInN2ciI6Im1ha2VzZW5zLmF3cy50aGluZ2VyLmlvIiwidXNyIjoiTWFrZVNlbnMifQ.yxgbjVy1O-GaE7_D-LWBcjAReOSeyME-qpfGmehaS8M)</span></br>
{fas}`cloud-sun `Institución Educativa Piloto Simón Bolivar {octicon}`arrow-right` <span class="badge bg-primary-line">[mE2_00000](https://makesens.aws.thinger.io/dashboards/DmE2_00000?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfRG1FMl8wMDAwMCIsInN2ciI6Im1ha2VzZW5zLmF3cy50aGluZ2VyLmlvIiwidXNyIjoiTWFrZVNlbnMifQ.rQ7zUQIHsdllTNH9ypGdaIkkFWfylAdkdLOfS0iMvZs)</span></br>
{fas}`cloud-sun` Institución Educativa Luis Carlos Galán Sarmiento {octicon}`arrow-right` <span class="badge bg-primary-line">[mE2_00001](https://makesens.aws.thinger.io/dashboards/DmE2_00001?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfRG1FMl8wMDAwMSIsInN2ciI6Im1ha2VzZW5zLmF3cy50aGluZ2VyLmlvIiwidXNyIjoiTWFrZVNlbnMifQ.G44vFCDawjRnZJ55Gkg4Uju6NHHR35W3H3eEe8xv8uk)</span></br>
{fas}`cloud-sun` Institución Educativa Café Madrid {octicon}`arrow-right` <span class="badge bg-primary-line">[mE1_00012](https://makesens.aws.thinger.io/dashboards/DmE1_00012?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfRG1FMV8wMDAxMiIsInN2ciI6Im1ha2VzZW5zLmF3cy50aGluZ2VyLmlvIiwidXNyIjoiTWFrZVNlbnMifQ.22S569QhmF4giiF2HH3OX_9RjCMG9m3OPnDg9brbXus)</span></br>
{fas}`cloud-sun` Grupo Halley-UIS {octicon}`arrow-right` <span class="badge bg-primary-line">[E2_00023](https://makesens.aws.thinger.io/dashboards/DE2_00023?authorization=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJqdGkiOiJEYXNoYm9hcmRfREUyXzAwMDIzIiwic3ZyIjoibWFrZXNlbnMuYXdzLnRoaW5nZXIuaW8iLCJ1c3IiOiJNYWtlU2VucyJ9.DgKRPAYC11UrQoDlkmXMAETHkm-fpFaOfAjZkliY1jM)</span>
:::

```{code-cell} ipython3
:tags: [remove-input, full-width]
import numpy as np
import pytz
import folium
from folium.plugins import BeautifyIcon


Estaciones = [
            ('mE1_00004','Col. Tecnologico',7.1381572,-73.1180935),
            ('mE1_00005','Col. Santander',7.1385332,-73.121327),
            ('mE1_00007','Col. Normal',7.1277056,-73.116534),
            ('mE1_00006','Col. Pilar',7.108717813305484, -73.12173474310134),
            ('mE1_00008','Col. FundeUis',7.06256, -73.0912),
            ('mE2_00000','Col. Simón Bolivar',7.136457064606619, -73.12795546334126),
            ('mE2_00001','Col. Luis Carlos Galán',7.093382047019532, -73.14229310567076),
            ('mE1_00012','Col. Café Madrid',7.163165408989283, -73.14033300778485),
            ('E2_00023','Grupo Halley',7.1393716,-73.1210968)
             ]

latitudes = np.array(Estaciones)[:,2].astype('float64')
latitud = (np.max(latitudes)+np.min(latitudes))/2
longitudes = np.array(Estaciones)[:,3].astype('float64')
longitud = (np.max(longitudes)+np.min(longitudes))/2

z = int(13-np.log2(10*(np.max(latitudes)-np.min(latitudes)))) # Zoom inicial en el mapa
shift1 = 0.001 # Trasladar estaciones cercanas

latitudes[0] += 4*shift1
longitudes[1] += shift1
longitudes[2] -= 2*shift1
latitudes[-2] -=2*shift1

shift2 = 0.005 # Desplazar marcadores de ubicación

ubicaciones = []
for i in range(len(latitudes)):
    ubicaciones.append([latitudes[i],longitudes[i]])

ubicaciones[0][0] += shift2
ubicaciones[1][1] += shift2
ubicaciones[2][0] += 0.65*shift2
ubicaciones[2][1] -= 0.9*shift2
ubicaciones[3][0] -= shift2
ubicaciones[4][0] -= shift2
ubicaciones[5][0] += shift2
ubicaciones[6][0] -= shift2
ubicaciones[7][0] += shift2
ubicaciones[8][0] -= shift2

# Crear el mapa de Bucaramanga con el estilo "CartoDB Positron"
bucaramanga_map = folium.Map(location=[latitud, longitud], 
                              zoom_start=z, tiles='CartoDB Positron',width=677,height=660, zoom_control=False)

    
for i in range(len(Estaciones)):
       
    location_marker = BeautifyIcon(
    icon_shape='marker',
    text_color='#ffffff',
    number=i+1,
    border_color='green',
    background_color='green', # Fondo transparente para que se vean estaciones cercanas entre sí
    icon_size=(30, 30),  # Tamaño del ícono en píxeles
    inner_icon_style='line-height:20px; font-size: 12px;',  # Ajusta el tamaño de la fuente aquí
    spin=True,
    border_width=2,
    )

    # Agregar marcador al mapa
    folium.Marker(
            ubicaciones[i],
            popup=Estaciones[i][1],
            icon=location_marker
        ).add_to(bucaramanga_map)

    
ne = [7.164165408989283, -73.14033300778485]
sw = [7.0530,-73.0979968]

bucaramanga_map.fit_bounds([sw, ne]) 

display(bucaramanga_map)
```


:::{admonition} Repotes Calidad de Aire:
:class: note
 Además,  desde junio de 2023, la red de monitoreo ambiental realiza reportes diarios y semanales sobre la calidad del aire en Bucaramanga:

:::

<center>
<blockquote class="twitter-tweet"><p lang="es" dir="ltr"><a href="https://twitter.com/hashtag/CalidadDelAire?src=hash&amp;ref_src=twsrc%5Etfw">#CalidadDelAire</a> <a href="https://twitter.com/hashtag/Bucaramanga?src=hash&amp;ref_src=twsrc%5Etfw">#Bucaramanga</a> Reporte diario de calidad de aire (material particulado 2.5 mm) 2023-08-20.<br><br>Para conocer más sobre las estaciones y el proyecto racimo-móncora: <a href="https://t.co/pTchVBCISU">https://t.co/pTchVBCISU</a> <a href="https://t.co/5ad48ChBnM">pic.twitter.com/5ad48ChBnM</a></p>&mdash; RACIMOMoncora (@RacimoMoncora) <a href="https://twitter.com/RacimoMoncora/status/1693246626666570185?ref_src=twsrc%5Etfw">August 20, 2023</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
</center>



